Bug 20731 - Move template JavaScript to the footer: Call number browser MARC plugin
Summary: Move template JavaScript to the footer: Call number browser MARC plugin
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks: 17858
  Show dependency treegraph
 
Reported: 2018-05-08 18:13 UTC by Owen Leonard
Modified: 2019-10-14 19:57 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 20731: Move template JavaScript to the footer: Call number browser MARC plugin (3.05 KB, patch)
2018-05-08 18:25 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 20731: Move template JavaScript to the footer: Call number browser MARC plugin (3.10 KB, patch)
2018-05-11 07:16 UTC, Claire Gravely
Details | Diff | Splinter Review
Bug 20731: Move template JavaScript to the footer: Call number browser MARC plugin (3.18 KB, patch)
2018-05-31 20:06 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2018-05-08 18:13:26 UTC
In order to conform to best practices for performance staff client template javascript should be in the footer instead of the header. This patch will do so for the call number browser plugin.
Comment 1 Owen Leonard 2018-05-08 18:25:26 UTC
Created attachment 75183 [details] [review]
Bug 20731: Move template JavaScript to the footer: Call number browser MARC plugin

This patch modifies the call number browser plugin so that JavaScript is
in the footer instead of the header.

This patch also makes some unrelated changes: The page title has been
corrected; DataTables code has been removed as it was unused.

To test, apply the patch and configure a MARC framework to use
cn_browser.pl as the plugin for tag 952 subfield o.

Open an item for editing. The "Full call number" field should have an
active "..." link next to it. Clicking this should trigger a popup
window with the Call number browser. Confirm that submitting a new
search from this window works correctly.
Comment 2 Claire Gravely 2018-05-11 07:16:45 UTC
Created attachment 75255 [details] [review]
Bug 20731: Move template JavaScript to the footer: Call number browser MARC plugin

This patch modifies the call number browser plugin so that JavaScript is
in the footer instead of the header.

This patch also makes some unrelated changes: The page title has been
corrected; DataTables code has been removed as it was unused.

To test, apply the patch and configure a MARC framework to use
cn_browser.pl as the plugin for tag 952 subfield o.

Open an item for editing. The "Full call number" field should have an
active "..." link next to it. Clicking this should trigger a popup
window with the Call number browser. Confirm that submitting a new
search from this window works correctly.

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>
Comment 3 Jonathan Druart 2018-05-31 20:06:31 UTC
Created attachment 75718 [details] [review]
Bug 20731: Move template JavaScript to the footer: Call number browser MARC plugin

This patch modifies the call number browser plugin so that JavaScript is
in the footer instead of the header.

This patch also makes some unrelated changes: The page title has been
corrected; DataTables code has been removed as it was unused.

To test, apply the patch and configure a MARC framework to use
cn_browser.pl as the plugin for tag 952 subfield o.

Open an item for editing. The "Full call number" field should have an
active "..." link next to it. Clicking this should trigger a popup
window with the Call number browser. Confirm that submitting a new
search from this window works correctly.

Signed-off-by: Claire Gravely <claire.gravely@bsz-bw.de>

Signed-off-by: Jonathan Druart <jonathan.druart@bugs.koha-community.org>
Comment 4 Nick Clemens 2018-07-06 14:46:43 UTC
Awesome work all!

Pushed to master for 18.11
Comment 5 Martin Renvoize 2018-07-10 08:22:48 UTC
Enhancement, not backporting to 18.05.x series